Subject: bug#20906: 25.0.50;

From: Mike FABIAN <[email-masked]>
Date: Thu, 08 Oct 2015 15:15:31 +0200

Eli Zaretskii <[email-masked]> さんはかきました:

> If the data we receive is different, I guess the only explanation
> could be that we request it in some different way?

Yes, in the old code

   (defun x-get-selection (&optional type data-type)

is called with “'UTF8_STRING” in data-type,
in the new code 

   (defun gui-get-selection (&optional type data-type)

is called with “nil” in data type.

That seems to make the difference, evaluating

    (gui-get-selection 'PRIMARY 'UTF8_STRING)

gets the selection correctly using the new code,  

    (gui-get-selection 'PRIMARY)

produces the problem I am seeing. 

I still now know why this is called differently, looking ...

-- 
Mike FABIAN <[email-masked]>
睡眠不足はいい仕事の敵だ。